Debian Bug report logs - #336875
manpages-dev: rexec(3) referenced but not documented

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Tue, 1 Nov 2005 19:34:52 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages-dev/2.02-2

Fixed in version manpages/2.14-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#336875; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Debian BTS Submission <submit@bugs.debian.org>
Subject: manpages-dev: rexec(3) referenced but not documented
Date: Tue, 1 Nov 2005 12:34:05 -0500
Package: manpages-dev
Severity: minor
Version: 2.02-2
File: /usr/share/man/man3/rcmd.3.gz

rcmd(3) and friends refer to rexec(3) but it doesn't exist.

/usr/include/netdb.h still refers to rexec(), and it is still included
in libc.a, so the manpage should be made available.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#336875; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 336875@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>,336875@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#336875: manpages-dev: rexec(3) referenced but not documented
Date: Thu, 3 Nov 2005 14:18:34 +0100 (MET)
tags 336875 fixed-upstream
thanks

> rcmd(3) and friends refer to rexec(3) but it doesn't exist.
> 
> /usr/include/netdb.h still refers to rexec(), and it is still included
> in libc.a, so the manpage should be made available.

Hi Justin.

Thanks.  I have taken the FreeBSD 5.4 rexec.3 man page and added
it to the man-pages set.  It will appear as part of the 
man-pages-2.14 release.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 336875-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 336875-close@bugs.debian.org
Subject: Bug#336875: fixed in manpages 2.14-1
Date: Sun, 11 Dec 2005 07:47:14 -0800
Source: manpages
Source-Version: 2.14-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.14-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.14-1_all.deb
manpages_2.14-1.diff.gz
  to pool/main/m/manpages/manpages_2.14-1.diff.gz
manpages_2.14-1.dsc
  to pool/main/m/manpages/manpages_2.14-1.dsc
manpages_2.14-1_all.deb
  to pool/main/m/manpages/manpages_2.14-1_all.deb
manpages_2.14.orig.tar.gz
  to pool/main/m/manpages/manpages_2.14.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 336875@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 11 Dec 2005 15:41:22 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.14-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 336875 339037 339037
Changes: 
 manpages (2.14-1) unstable; urgency=low
 .
   * New upstream release, with the following changes
     - New rexec(3) (Closes: Bug#336875)
     - Clarified file leases in fcntl(2) (Closes: Bug#339037)
     - Completed errors section in open(2) (Closes: Bug#339037)
Files: 
 3eec346638bba39f0d93d1114239d3c5 584 doc - manpages_2.14-1.dsc
 dddd6cb167c71096b0a8164191f0fa22 1065989 doc - manpages_2.14.orig.tar.gz
 600eb16e8b6f51db4fc7c801a306f068 47285 doc - manpages_2.14-1.diff.gz
 ffb4681f1fd8dbd5d5cae40320a8adc6 406402 doc important manpages_2.14-1_all.deb
 a7b32f93d360c41f706c3fd9c5190a36 1109608 doc standard manpages-dev_2.14-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDnEbDW5ql+IAeqTIRAlT1AKCWuSmHU4LOlSHzh+u3E3UrTm0KZQCfVLTr
JQeF4sFsPwgn1/9qSwmIa5Q=
=I5zY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 14:09:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:03:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.